Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface GriffonAddonDescriptor

    public interface GriffonAddonDescriptor

Describes an Addon artifact.

Authors:
  Andres Almiray

Since:
  0.9.2

Method Summary
`GriffonAddon` | `getAddon()` Returns the Addon instance
`String` | `getName()` Returns the name of the Addon.
`String` | `getPluginName()` Returns the plugin name associated with this Addon
`String` | `getPrefix()` Returns the prefix for this Addon.
`String` | `getVersion()` Returns the plugin version associated with this Addon

Method Detail

### getAddon

    public GriffonAddon getAddon()

  Returns the Addon instance
  Returns:
    the Addon itself

### getName

    public String getName()

  Returns the name of the Addon.
  Returns:
    the Addon's name

### getPluginName

    public String getPluginName()

  Returns the plugin name associated with this Addon
  Returns:
    the plugin's name

### getPrefix

    public String getPrefix()

  Returns the prefix for this Addon. May be empty.
  Returns:
    the Addon's prefix.

### getVersion

    public String getVersion()

  Returns the plugin version associated with this Addon
  Returns:
    the plugin's version

Groovy Documentation